<?php
!function_exists('readover') && exit('Forbidden');

/****

@name:置頂道具
@type:帖子類
@effect:可將自己發表的帖子在分類中置頂，置頂時間為6小時。

****/

if($tooldb['type']!=1){
	Showmsg('tooluse_type_error');  // 判斷道具類型是否設置錯誤
}
if($tpcdb['authorid'] != $winduid){
	Showmsg('tool_authorlimit');
}
if($tpcdb['topped'] > 1){
	Showmsg('toolmsg_5_failed');
}
$toolfield = $timestamp + 3600*6;
$db->update("UPDATE pw_threads SET topped='2',toolinfo=".pwEscape($tooldb['name'],false).",toolfield=".pwEscape($toolfield)."WHERE tid=".pwEscape($tid));
$db->update("UPDATE pw_usertool SET nums=nums-1 WHERE uid=".pwEscape($winduid)."AND toolid=".pwEscape($toolid));
$logdata=array(
	'type'		=>	'use',
	'nums'		=>	'',
	'money'		=>	'',
	'descrip'	=>	'tool_5_descrip',
	'uid'		=>	$winduid,
	'username'	=>	$windid,
	'ip'		=>	$onlineip,
	'time'		=>	$timestamp,
	'toolname'	=>	$tooldb['name'],
	'subject'	=>	substrs($tpcdb['subject'],15),
	'tid'		=>	$tid,
);
updatetop();
writetoollog($logdata);
Showmsg('toolmsg_success');
?>